Net::DNS::RR::DHCID(3)

NAME
Net::DNS::RR::DHCID - DNS DHCID resource record

SYNOPSIS
    use Net::DNS;
    $rr = new Net::DNS::RR('name DHCID algorithm fptype fingerprint');

DESCRIPTION
DNS RR for Encoding DHCP Information (DHCID)

METHODS
The available methods are those inherited from the base class augmented by the type-specific methods defined in this package.

Use of undocumented package features or direct access to internal data structures is discouraged and could result in program termination or other unpredictable behaviour.

  identifiertype
    $identifiertype = $rr->identifiertype;
    $rr->identifiertype( $identifiertype );

The 16-bit identifier type describes the form of host identifier used to construct the DHCP identity information.

  digesttype
    $digesttype = $rr->digesttype;
    $rr->digesttype( $digesttype );

The 8-bit digest type number describes the message-digest algorithm used to obfuscate the DHCP identity information.

  digest
    $digest = $rr->digest;
    $rr->digest( $digest );

Binary representation of the digest of DHCP identity information.

  rdata
The RDATA for this record is stored in master files as a single block using Base64 representation.

White space characters may appear anywhere within the Base64 text and will be silently ignored.

COPYRIGHT
Copyright (c)2009 Olaf Kolkman, NLnet Labs.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

Package template (c)2009,2012 O.M.Kolkman and R.W.Franks.

SEE ALSO
perl, Net::DNS, Net::DNS::RR, RFC4701